Bug 146546 - ASSERTION FAILED: !m_pendingNavigationID
Summary: ASSERTION FAILED: !m_pendingNavigationID
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hyungwook Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-02 05:57 PDT by Hyungwook Lee
Modified: 2015-07-08 20:34 PDT (History)
8 users (show)

See Also:


Attachments
Patch (2.41 KB, patch)
2015-07-02 23:47 PDT, Hyungwook Lee
no flags Details | Formatted Diff | Diff
Patch (3.17 KB, patch)
2015-07-08 04:55 PDT, Hyungwook Lee
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hyungwook Lee 2015-07-02 05:57:54 PDT
ASSERTION FAILED: !m_pendingNavigationID
../../Source/WebKit2/WebProcess/WebPage/WebPage.cpp(1149) : void WebKit::WebPage::reload(uint64_t, bool, const WebKit::SandboxExtension::Handle&)
1   0x7f5f6c476ec1 WTFCrash
2   0x7f5f718c6451 WebKit::WebPage::reload(unsigned long, bool, WebKit::SandboxExtension::Handle const&)
3   0x7f5f71a7ab79 void IPC::callMemberFunctionImpl<WebKit::WebPage, void (WebKit::WebPage::*)(unsigned long, bool, WebKit::SandboxExtension::Handle const&), std::tuple<unsigned long, bool, WebKit::SandboxExtension::Handle>, 0ul, 1ul, 2ul>(WebKit::WebPage*, void (WebKit::WebPage::*)(unsigned long, bool, WebKit::SandboxExtension::Handle const&), std::tuple<unsigned long, bool, WebKit::SandboxExtension::Handle>&&, std::index_sequence<0ul, 1ul, 2ul>)
4   0x7f5f71a77c3c void IPC::callMemberFunction<WebKit::WebPage, void (WebKit::WebPage::*)(unsigned long, bool, WebKit::SandboxExtension::Handle const&), std::tuple<unsigned long, bool, WebKit::SandboxExtension::Handle>, std::make_index_sequence<3ul> >(std::tuple<unsigned long, bool, WebKit::SandboxExtension::Handle>&&, WebKit::WebPage*, void (WebKit::WebPage::*)(unsigned long, bool, WebKit::SandboxExtension::Handle const&))
5   0x7f5f71a7218d void IPC::handleMessage<Messages::WebPage::Reload, WebKit::WebPage, void (WebKit::WebPage::*)(unsigned long, bool, WebKit::SandboxExtension::Handle const&)>(IPC::MessageDecoder&, WebKit::WebPage*, void (WebKit::WebPage::*)(unsigned long, bool, WebKit::SandboxExtension::Handle const&))
6   0x7f5f71a6d118 WebKit::WebPage::didReceiveWebPageMessage(IPC::Connection&, IPC::MessageDecoder&)
7   0x7f5f718cfa5f WebKit::WebPage::didReceiveMessage(IPC::Connection&, IPC::MessageDecoder&)
8   0x7f5f71576e2a IPC::MessageReceiverMap::dispatchMessage(IPC::Connection&, IPC::MessageDecoder&)
9   0x7f5f7179c80b WebKit::WebProcess::didReceiveMessage(IPC::Connection&, IPC::MessageDecoder&)
10  0x7f5f71566c26 IPC::Connection::dispatchMessage(IPC::MessageDecoder&)
11  0x7f5f71566cf2 IPC::Connection::dispatchMessage(std::unique_ptr<IPC::MessageDecoder, std::default_delete<IPC::MessageDecoder> >)
12  0x7f5f71566eb2 IPC::Connection::dispatchOneMessage()
Comment 1 Hyungwook Lee 2015-07-02 06:52:38 PDT
We can reproduce this to call WebPage::reload() two times before loading any pages.
Comment 2 Hyungwook Lee 2015-07-02 23:47:41 PDT
Created attachment 256084 [details]
Patch
Comment 3 Gyuyoung Kim 2015-07-03 00:15:19 PDT
Comment on attachment 256084 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=256084&action=review

> Source/WebKit2/UIProcess/API/efl/tests/test_ewk2_view.cpp:1264
> +TEST_F(EWK2ViewTest, ewk_view_reload)

If this ASSERT failure happens on all WK2 port, I think it would be better to make a test case for WK2 C API(e.g. in Tools/TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp), not only for EFL API test.
Comment 4 Hyungwook Lee 2015-07-08 04:55:35 PDT
Created attachment 256371 [details]
Patch
Comment 5 Hyungwook Lee 2015-07-08 04:56:00 PDT
(In reply to comment #3)
> Comment on attachment 256084 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=256084&action=review
> 
> > Source/WebKit2/UIProcess/API/efl/tests/test_ewk2_view.cpp:1264
> > +TEST_F(EWK2ViewTest, ewk_view_reload)
> 
> If this ASSERT failure happens on all WK2 port, I think it would be better
> to make a test case for WK2 C API(e.g. in
> Tools/TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp), not only for EFL API
> test.

Done
Comment 6 Gyuyoung Kim 2015-07-08 19:43:36 PDT
Comment on attachment 256371 [details]
Patch

nice ! cq=me.
Comment 7 WebKit Commit Bot 2015-07-08 20:34:54 PDT
Comment on attachment 256371 [details]
Patch

Clearing flags on attachment: 256371

Committed r186570: <http://trac.webkit.org/changeset/186570>
Comment 8 WebKit Commit Bot 2015-07-08 20:34:58 PDT
All reviewed patches have been landed.  Closing bug.